Permalink
Browse files

Bump rails gem versions to latest for Appraisal

  • Loading branch information...
1 parent 9d97b14 commit 84bd8d87080841fccdc8fc4522a3820718f1a4bf @mjankowski mjankowski committed Jan 29, 2013
View
@@ -3,18 +3,18 @@ rvm:
- 1.9.2
- 1.9.3
gemfile:
- - gemfiles/rails_3.0.18_database_mysql.gemfile
- - gemfiles/rails_3.0.18_database_mysql2.gemfile
- - gemfiles/rails_3.0.18_database_pg.gemfile
- - gemfiles/rails_3.0.18_database_sqlite3.gemfile
- - gemfiles/rails_3.1.9_database_mysql.gemfile
- - gemfiles/rails_3.1.9_database_mysql2.gemfile
- - gemfiles/rails_3.1.9_database_pg.gemfile
- - gemfiles/rails_3.1.9_database_sqlite3.gemfile
- - gemfiles/rails_3.2.10_database_mysql.gemfile
- - gemfiles/rails_3.2.10_database_mysql2.gemfile
- - gemfiles/rails_3.2.10_database_pg.gemfile
- - gemfiles/rails_3.2.10_database_sqlite3.gemfile
+ - gemfiles/rails_3.0.20_database_mysql.gemfile
+ - gemfiles/rails_3.0.20_database_mysql2.gemfile
+ - gemfiles/rails_3.0.20_database_pg.gemfile
+ - gemfiles/rails_3.0.20_database_sqlite3.gemfile
+ - gemfiles/rails_3.1.10_database_mysql.gemfile
+ - gemfiles/rails_3.1.10_database_mysql2.gemfile
+ - gemfiles/rails_3.1.10_database_pg.gemfile
+ - gemfiles/rails_3.1.10_database_sqlite3.gemfile
+ - gemfiles/rails_3.2.11_database_mysql.gemfile
+ - gemfiles/rails_3.2.11_database_mysql2.gemfile
+ - gemfiles/rails_3.2.11_database_pg.gemfile
+ - gemfiles/rails_3.2.11_database_sqlite3.gemfile
before_script:
- "mysql -e 'create database pacecar_test;' >/dev/null"
- "psql -c 'create database pacecar_test;' -U postgres >/dev/null"
View
@@ -1,17 +1,17 @@
rails_versions = {
- '3.0.18' => {
+ '3.0.20' => {
'mysql' => '2.8.1',
'mysql2' => '0.2.18',
'pg' => nil,
'sqlite3' => nil
},
- '3.1.9' => {
+ '3.1.10' => {
'mysql' => '2.8.1',
'mysql2' => '0.3.11',
'pg' => nil,
'sqlite3' => nil
},
- '3.2.10' => {
+ '3.2.11' => {
'mysql' => '2.8.1',
'mysql2' => '0.3.11',
'pg' => nil,
View
@@ -56,7 +56,7 @@ GEM
treetop (~> 1.4.8)
metaclass (0.0.1)
mime-types (1.18)
- mocha (0.12.3)
+ mocha (0.13.2)
metaclass (~> 0.0.1)
multi_json (1.2.0)
polyglot (0.3.3)
@@ -115,7 +115,7 @@ PLATFORMS
DEPENDENCIES
appraisal (~> 0.5.1)
factory_girl_rails
- mocha (= 0.12.3)
+ mocha (= 0.13.2)
pacecar!
rails (>= 3.0.0)
rspec-rails (>= 2.9.0)
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.0.18"
+gem "rails", "3.0.20"
gem "mysql", "2.8.1"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.0.18"
+gem "rails", "3.0.20"
gem "mysql2", "0.2.18"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.1.9"
+gem "rails", "3.0.20"
gem "pg"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.2.10"
+gem "rails", "3.0.20"
gem "sqlite3"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.1.9"
+gem "rails", "3.1.10"
gem "mysql", "2.8.1"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.1.9"
+gem "rails", "3.1.10"
gem "mysql2", "0.3.11"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.0.18"
+gem "rails", "3.1.10"
gem "pg"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.1.9"
+gem "rails", "3.1.10"
gem "sqlite3"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.2.10"
+gem "rails", "3.2.11"
gem "mysql", "2.8.1"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.2.10"
+gem "rails", "3.2.11"
gem "mysql2", "0.3.11"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.2.10"
+gem "rails", "3.2.11"
gem "pg"
gem "pacecar", :path=>"../"
@@ -2,7 +2,7 @@
source "http://rubygems.org"
-gem "rails", "3.0.18"
+gem "rails", "3.2.11"
gem "sqlite3"
gem "pacecar", :path=>"../"
View
@@ -20,7 +20,7 @@ Gem::Specification.new do |s|
s.add_dependency("activerecord", ">= 3.0.0")
s.add_development_dependency("appraisal", "~> 0.5.1")
- s.add_development_dependency("mocha", "0.12.3")
+ s.add_development_dependency("mocha", "0.13.2")
s.add_development_dependency("rspec-rails", ">= 2.9.0")
s.add_development_dependency("factory_girl_rails")
s.add_development_dependency("rails", ">= 3.0.0")

0 comments on commit 84bd8d8

Please sign in to comment.